Package org.snpeff.snpEffect

# Class VariantEffectFusion

java.lang.Object
org.snpeff.snpEffect.VariantEffect
org.snpeff.snpEffect.VariantEffectStructural
org.snpeff.snpEffect.VariantEffectFusion

All Implemented Interfaces:
  `Cloneable`, `Comparable<VariantEffect>`

public class VariantEffectFusion extends VariantEffectStructural
Effect of a structural variant (fusion) affecting two genes

Author:
  pcingola

## Nested Class Summary

## Nested classes/interfaces inherited from class org.snpeff.snpEffect.VariantEffect

`VariantEffect.Coding, VariantEffect.EffectImpact, VariantEffect.FunctionalClass`

## Field Summary

### Fields inherited from class org.snpeff.snpEffect.VariantEffect

`aaAlt, aaRef, aasAroundNew, aasAroundOld, cDnaPos, codonDegeneracy, codonIndex, codonNum, codonsAlt, codonsAroundNew, codonsAroundOld, codonsRef, distance, effectImpact, effectImpacts, effectType, effectTypes, error, marker, MAX_CODON_SEQUENCE_LEN, message, variant, warning`

## Constructor Summary

Constructors
Constructor
Description
`VariantEffectFusion(Variant variant, Marker mLeft, Marker mRight)`

## Method Summary

Modifier and Type
Method
Description
`int`
`getAaNumLeftEnd()`
`int`
`getAaNumLeftStart()`
`int`
`getAaNumRightEnd()`
`int`
`getAaNumRightStart()`
`Gene`
`getGene()`
`Gene`
`getGeneLeft()`
`Gene`
`getGeneRight()`
`Marker`
`getMarker()`
`Transcript`
`getTrLeft()`
`Transcript`
`getTrRight()`
`boolean`
`isGeneGeneFusion()`
`String`
`toString()`

### Methods inherited from class org.snpeff.snpEffect.VariantEffectStructural

`countGenes, effect, fusions, getGenes, isGene, isMultipleGenes, isTranscript`

### Methods inherited from class org.snpeff.snpEffect.VariantEffect

`addEffect, addEffectImpact, addEffectType, addErrorMessage, addErrorWarningInfo, addInfoMessage, addWarningMessge, clone, compareTo, effect, getAaAlt, getAaChange, getAaChangeOld, getAaLength, getAaNetChange, getAaRef, getBiotype, getcDnaPos, getCdsLength, getCodonChange, getCodonChangeMax, getCodonIndex, getCodonNum, getCodonsAlt, getCodonsRef, getDistance, getEffectImpact, getEffectType, getEffectTypes, getEffectTypeString, getEffectTypeString, getEffectTypeString, getError, getExon, getFunctionalClass, getGeneRegion, getGenotype, getHgvs, getHgvsDna, getHgvsProt, getIntron, getTranscript, getVariant, getWarning, hasAdditionalAnnotations, hasEffectImpact, hasEffectType, hasError, hasWarning, isCustom, isExon, isIntergenic, isIntron, isMotif, isNextProt, isRegulation, isSpliceSite, isSpliceSiteCore, isSpliceSiteRegion, isUtr3, isUtr5, set, setCodons, setCodonsAround, setDistance, setEffect, setEffectImpact, setEffectType, setMarker, toStr, toString, toStringSimple`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### VariantEffectFusion

public VariantEffectFusion(Variant variant, Marker mLeft, Marker mRight)

## Method Details

### getAaNumLeftEnd

public int getAaNumLeftEnd()

### getAaNumLeftStart

public int getAaNumLeftStart()

### getAaNumRightEnd

public int getAaNumRightEnd()

### getAaNumRightStart

public int getAaNumRightStart()

### getGene

public Gene getGene()

Overrides:
  `getGene` in class `VariantEffectStructural`

### getGeneLeft

public Gene getGeneLeft()

### getGeneRight

public Gene getGeneRight()

### getMarker

public Marker getMarker()

Overrides:
  `getMarker` in class `VariantEffectStructural`

### getTrLeft

public Transcript getTrLeft()

### getTrRight

public Transcript getTrRight()

### isGeneGeneFusion

public boolean isGeneGeneFusion()

### toString

public String toString()

Overrides:
  `toString` in class `VariantEffectStructural`